org.apache.cayenne.dba.firebird.sqltree

## Class FirebirdSubstringFunctionNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.FunctionNode
    - - org.apache.cayenne.dba.firebird.sqltree.FirebirdSubstringFunctionNode

-     public class FirebirdSubstringFunctionNode
      extends FunctionNode

  SUBSTRING function for Firebird It has following format: SUBSTRING (string FROM CAST(? AS INTEGER) FOR CAST(? AS INTEGER))
  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FirebirdSubstringFunctionNode(String alias)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendChildrenEnd(QuotingAppendable buffer)`
    `void` | `appendChildrenSeparator(QuotingAppendable buffer, int childIdx)`
    `Node` | `copy()`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.FunctionNode

      `append, appendChildrenStart, getAlias, getFunctionName, setAlias, skipContent, visit, wrap`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FirebirdSubstringFunctionNode

          public FirebirdSubstringFunctionNode(String alias)

  - ### Method Detail

    - #### appendChildrenSeparator

          public void appendChildrenSeparator(QuotingAppendable buffer,
                                              int childIdx)

      Overrides:
        `appendChildrenSeparator` in class `FunctionNode`

    - #### appendChildrenEnd

          public void appendChildrenEnd(QuotingAppendable buffer)

      Overrides:
        `appendChildrenEnd` in class `FunctionNode`

    - #### copy

          public Node copy()

      Overrides:
        `copy` in class `FunctionNode`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.